Pipelines
Search Pipelines
Create Pipeline
Get Pipeline
Update Existing Pipeline
Delete Pipeline
Get Pipeline Status
Upsert Pipeline
Run Search
ModelsExpand Collapse
class AzureOpenAIEmbedding:
class AzureOpenAIEmbeddingConfig:
AzureOpenAIEmbedding Component
Configuration for the Azure OpenAI embedding model.
class BedrockEmbeddingConfig:
BedrockEmbedding Component
Configuration for the Bedrock embedding model.
class CohereEmbeddingConfig:
CohereEmbedding Component
class DataSinkCreate:
Schema for creating a data sink.
required Component Component
Component that implements the data sink
class CloudPineconeVectorStore:
Cloud Pinecone Vector Store.
This class is used to store the configuration for a Pinecone vector store, so that it can be created and used in LlamaCloud.
Args: api_key (str): API key for authenticating with Pinecone index_name (str): name of the Pinecone index namespace (optional[str]): namespace to use in the Pinecone index insert_kwargs (optional[dict]): additional kwargs to pass during insertion
class CloudPostgresVectorStore:
PgVectorHnswSettings? HnswSettings
class CloudQdrantVectorStore:
Cloud Qdrant Vector Store.
This class is used to store the configuration for a Qdrant vector store, so that it can be created and used in LlamaCloud.
Args: collection_name (str): name of the Qdrant collection url (str): url of the Qdrant instance api_key (str): API key for authenticating with Qdrant max_retries (int): maximum number of retries in case of a failure. Defaults to 3 client_kwargs (dict): additional kwargs to pass to the Qdrant client
class CloudMongoDBAtlasVectorSearch:
Cloud MongoDB Atlas Vector Store.
This class is used to store the configuration for a MongoDB Atlas vector store, so that it can be created and used in LlamaCloud.
Args: mongodb_uri (str): URI for connecting to MongoDB Atlas db_name (str): name of the MongoDB database collection_name (str): name of the MongoDB collection vector_index_name (str): name of the MongoDB Atlas vector index fulltext_index_name (str): name of the MongoDB Atlas full-text index
class CloudAstraDBVectorStore:
Cloud AstraDB Vector Store.
This class is used to store the configuration for an AstraDB vector store, so that it can be created and used in LlamaCloud.
Args: token (str): The Astra DB Application Token to use. api_endpoint (str): The Astra DB JSON API endpoint for your database. collection_name (str): Collection name to use. If not existing, it will be created. embedding_dimension (int): Length of the embedding vectors in use. keyspace (optional[str]): The keyspace to use. If not provided, ‘default_keyspace’
class GeminiEmbedding:
Long? OutputDimensionality
Optional reduced dimension for output embeddings. Supported by models/text-embedding-004 and newer (e.g. gemini-embedding-001). Not supported by models/embedding-001.
class GeminiEmbeddingConfig:
GeminiEmbedding Component
Configuration for the Gemini embedding model.
Long? OutputDimensionality
Optional reduced dimension for output embeddings. Supported by models/text-embedding-004 and newer (e.g. gemini-embedding-001). Not supported by models/embedding-001.
class HuggingFaceInferenceApiEmbedding:
IReadOnlyDictionary<string, string>? Headers
Additional headers to send to the server. By default only the authorization and user-agent headers are sent. Values in this dictionary will override the default values.
class HuggingFaceInferenceApiEmbeddingConfig:
HuggingFaceInferenceApiEmbedding Component
Configuration for the HuggingFace Inference API embedding model.
IReadOnlyDictionary<string, string>? Headers
Additional headers to send to the server. By default only the authorization and user-agent headers are sent. Values in this dictionary will override the default values.
class LlamaParseParameters:
IReadOnlyList<ParsingLanguages> Languages
ParsingMode? ParseMode
Enum for representing the mode of parsing to be used.
FailPageMode? ReplaceFailedPageMode
IReadOnlyList<WebhookConfiguration>? WebhookConfigurations
Outbound webhook endpoints to notify on job status changes
IReadOnlyList<WebhookEvent>? WebhookEvents
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
IReadOnlyDictionary<string, string>? WebhookHeaders
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
string? WebhookSigningSecret
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=
class MetadataFilters:
Metadata filters for vector stores.
required IReadOnlyList<Filter> Filters
class MetadataFilter:
Comprehensive metadata filter for vector stores to support more operators.
Value uses Strict types, as int, float and str are compatible types and were all converted to string before.
See: https://docs.pydantic.dev/latest/usage/types/#strict-types
class OpenAIEmbeddingConfig:
OpenAIEmbedding Component
Configuration for the OpenAI embedding model.
class Pipeline:
Schema for a pipeline.
required EmbeddingConfig EmbeddingConfig
class AzureOpenAIEmbeddingConfig:
AzureOpenAIEmbedding Component
Configuration for the Azure OpenAI embedding model.
class BedrockEmbeddingConfig:
BedrockEmbedding Component
Configuration for the Bedrock embedding model.
class CohereEmbeddingConfig:
CohereEmbedding Component
class GeminiEmbeddingConfig:
GeminiEmbedding Component
Configuration for the Gemini embedding model.
Long? OutputDimensionality
Optional reduced dimension for output embeddings. Supported by models/text-embedding-004 and newer (e.g. gemini-embedding-001). Not supported by models/embedding-001.
class HuggingFaceInferenceApiEmbeddingConfig:
HuggingFaceInferenceApiEmbedding Component
Configuration for the HuggingFace Inference API embedding model.
IReadOnlyDictionary<string, string>? Headers
Additional headers to send to the server. By default only the authorization and user-agent headers are sent. Values in this dictionary will override the default values.
class OpenAIEmbeddingConfig:
OpenAIEmbedding Component
Configuration for the OpenAI embedding model.
class VertexAIEmbeddingConfig:
VertexTextEmbedding Component
DataSink? DataSink
Schema for a data sink.
required Component Component
Component that implements the data sink
class CloudPineconeVectorStore:
Cloud Pinecone Vector Store.
This class is used to store the configuration for a Pinecone vector store, so that it can be created and used in LlamaCloud.
Args: api_key (str): API key for authenticating with Pinecone index_name (str): name of the Pinecone index namespace (optional[str]): namespace to use in the Pinecone index insert_kwargs (optional[dict]): additional kwargs to pass during insertion
class CloudPostgresVectorStore:
PgVectorHnswSettings? HnswSettings
class CloudQdrantVectorStore:
Cloud Qdrant Vector Store.
This class is used to store the configuration for a Qdrant vector store, so that it can be created and used in LlamaCloud.
Args: collection_name (str): name of the Qdrant collection url (str): url of the Qdrant instance api_key (str): API key for authenticating with Qdrant max_retries (int): maximum number of retries in case of a failure. Defaults to 3 client_kwargs (dict): additional kwargs to pass to the Qdrant client
class CloudMongoDBAtlasVectorSearch:
Cloud MongoDB Atlas Vector Store.
This class is used to store the configuration for a MongoDB Atlas vector store, so that it can be created and used in LlamaCloud.
Args: mongodb_uri (str): URI for connecting to MongoDB Atlas db_name (str): name of the MongoDB database collection_name (str): name of the MongoDB collection vector_index_name (str): name of the MongoDB Atlas vector index fulltext_index_name (str): name of the MongoDB Atlas full-text index
class CloudAstraDBVectorStore:
Cloud AstraDB Vector Store.
This class is used to store the configuration for an AstraDB vector store, so that it can be created and used in LlamaCloud.
Args: token (str): The Astra DB Application Token to use. api_endpoint (str): The Astra DB JSON API endpoint for your database. collection_name (str): Collection name to use. If not existing, it will be created. embedding_dimension (int): Length of the embedding vectors in use. keyspace (optional[str]): The keyspace to use. If not provided, ‘default_keyspace’
EmbeddingModelConfig? EmbeddingModelConfig
Schema for an embedding model config.
required EmbeddingConfig EmbeddingConfig
The embedding configuration for the embedding model config.
class AzureOpenAIEmbeddingConfig:
AzureOpenAIEmbedding Component
Configuration for the Azure OpenAI embedding model.
class BedrockEmbeddingConfig:
BedrockEmbedding Component
Configuration for the Bedrock embedding model.
class CohereEmbeddingConfig:
CohereEmbedding Component
class GeminiEmbeddingConfig:
GeminiEmbedding Component
Configuration for the Gemini embedding model.
Long? OutputDimensionality
Optional reduced dimension for output embeddings. Supported by models/text-embedding-004 and newer (e.g. gemini-embedding-001). Not supported by models/embedding-001.
class HuggingFaceInferenceApiEmbeddingConfig:
HuggingFaceInferenceApiEmbedding Component
Configuration for the HuggingFace Inference API embedding model.
IReadOnlyDictionary<string, string>? Headers
Additional headers to send to the server. By default only the authorization and user-agent headers are sent. Values in this dictionary will override the default values.
class OpenAIEmbeddingConfig:
OpenAIEmbedding Component
Configuration for the OpenAI embedding model.
class VertexAIEmbeddingConfig:
VertexTextEmbedding Component
LlamaParseParameters? LlamaParseParameters
Settings that can be configured for how to use LlamaParse to parse files within a LlamaCloud pipeline.
IReadOnlyList<ParsingLanguages> Languages
ParsingMode? ParseMode
Enum for representing the mode of parsing to be used.
FailPageMode? ReplaceFailedPageMode
IReadOnlyList<WebhookConfiguration>? WebhookConfigurations
Outbound webhook endpoints to notify on job status changes
IReadOnlyList<WebhookEvent>? WebhookEvents
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
IReadOnlyDictionary<string, string>? WebhookHeaders
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
string? WebhookSigningSecret
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=
string? ManagedPipelineID
The ID of the ManagedPipeline this playground pipeline is linked to.
PipelineMetadataConfig? MetadataConfig
PipelineType PipelineType
PresetRetrievalParams PresetRetrievalParameters
Preset retrieval parameters for the pipeline.
Double? Alpha
Alpha value for hybrid retrieval to determine the weights between dense and sparse retrieval. 0 is sparse retrieval and 1 is dense retrieval.
Long? FilesTopK
Number of files to retrieve (only for retrieval mode files_via_metadata and files_via_content).
RetrievalMode RetrievalMode
MetadataFilters? SearchFilters
Metadata filters for vector stores.
required IReadOnlyList<Filter> Filters
class MetadataFilter:
Comprehensive metadata filter for vector stores to support more operators.
Value uses Strict types, as int, float and str are compatible types and were all converted to string before.
See: https://docs.pydantic.dev/latest/usage/types/#strict-types
SparseModelConfig? SparseModelConfig
class PipelineCreate:
Schema for creating a pipeline.
DataSinkCreate? DataSink
Schema for creating a data sink.
required Component Component
Component that implements the data sink
class CloudPineconeVectorStore:
Cloud Pinecone Vector Store.
This class is used to store the configuration for a Pinecone vector store, so that it can be created and used in LlamaCloud.
Args: api_key (str): API key for authenticating with Pinecone index_name (str): name of the Pinecone index namespace (optional[str]): namespace to use in the Pinecone index insert_kwargs (optional[dict]): additional kwargs to pass during insertion
class CloudPostgresVectorStore:
PgVectorHnswSettings? HnswSettings
class CloudQdrantVectorStore:
Cloud Qdrant Vector Store.
This class is used to store the configuration for a Qdrant vector store, so that it can be created and used in LlamaCloud.
Args: collection_name (str): name of the Qdrant collection url (str): url of the Qdrant instance api_key (str): API key for authenticating with Qdrant max_retries (int): maximum number of retries in case of a failure. Defaults to 3 client_kwargs (dict): additional kwargs to pass to the Qdrant client
class CloudMongoDBAtlasVectorSearch:
Cloud MongoDB Atlas Vector Store.
This class is used to store the configuration for a MongoDB Atlas vector store, so that it can be created and used in LlamaCloud.
Args: mongodb_uri (str): URI for connecting to MongoDB Atlas db_name (str): name of the MongoDB database collection_name (str): name of the MongoDB collection vector_index_name (str): name of the MongoDB Atlas vector index fulltext_index_name (str): name of the MongoDB Atlas full-text index
class CloudAstraDBVectorStore:
Cloud AstraDB Vector Store.
This class is used to store the configuration for an AstraDB vector store, so that it can be created and used in LlamaCloud.
Args: token (str): The Astra DB Application Token to use. api_endpoint (str): The Astra DB JSON API endpoint for your database. collection_name (str): Collection name to use. If not existing, it will be created. embedding_dimension (int): Length of the embedding vectors in use. keyspace (optional[str]): The keyspace to use. If not provided, ‘default_keyspace’
string? DataSinkID
Data sink ID. When provided instead of data_sink, the data sink will be looked up by ID.
EmbeddingConfig? EmbeddingConfig
class AzureOpenAIEmbeddingConfig:
AzureOpenAIEmbedding Component
Configuration for the Azure OpenAI embedding model.
class BedrockEmbeddingConfig:
BedrockEmbedding Component
Configuration for the Bedrock embedding model.
class CohereEmbeddingConfig:
CohereEmbedding Component
class GeminiEmbeddingConfig:
GeminiEmbedding Component
Configuration for the Gemini embedding model.
Long? OutputDimensionality
Optional reduced dimension for output embeddings. Supported by models/text-embedding-004 and newer (e.g. gemini-embedding-001). Not supported by models/embedding-001.
class HuggingFaceInferenceApiEmbeddingConfig:
HuggingFaceInferenceApiEmbedding Component
Configuration for the HuggingFace Inference API embedding model.
IReadOnlyDictionary<string, string>? Headers
Additional headers to send to the server. By default only the authorization and user-agent headers are sent. Values in this dictionary will override the default values.
class OpenAIEmbeddingConfig:
OpenAIEmbedding Component
Configuration for the OpenAI embedding model.
class VertexAIEmbeddingConfig:
VertexTextEmbedding Component
string? EmbeddingModelConfigID
Embedding model config ID. When provided instead of embedding_config, the embedding model config will be looked up by ID.
LlamaParseParameters LlamaParseParameters
Settings that can be configured for how to use LlamaParse to parse files within a LlamaCloud pipeline.
IReadOnlyList<ParsingLanguages> Languages
ParsingMode? ParseMode
Enum for representing the mode of parsing to be used.
FailPageMode? ReplaceFailedPageMode
IReadOnlyList<WebhookConfiguration>? WebhookConfigurations
Outbound webhook endpoints to notify on job status changes
IReadOnlyList<WebhookEvent>? WebhookEvents
Events to subscribe to (e.g. ‘parse.success’, ‘extract.error’). If null, all events are delivered.
IReadOnlyDictionary<string, string>? WebhookHeaders
Custom HTTP headers sent with each webhook request (e.g. auth tokens)
string? WebhookSigningSecret
Shared signing secret used to sign webhook deliveries. When set, each request includes an HMAC-SHA256 signature of the request body in the ‘LC-Signature’ header (value ‘sha256=
string? ManagedPipelineID
The ID of the ManagedPipeline this playground pipeline is linked to.
PipelineMetadataConfig? MetadataConfig
PipelineType PipelineType
PresetRetrievalParams PresetRetrievalParameters
Preset retrieval parameters for the pipeline.
Double? Alpha
Alpha value for hybrid retrieval to determine the weights between dense and sparse retrieval. 0 is sparse retrieval and 1 is dense retrieval.
Long? FilesTopK
Number of files to retrieve (only for retrieval mode files_via_metadata and files_via_content).
RetrievalMode RetrievalMode
MetadataFilters? SearchFilters
Metadata filters for vector stores.
required IReadOnlyList<Filter> Filters
class MetadataFilter:
Comprehensive metadata filter for vector stores to support more operators.
Value uses Strict types, as int, float and str are compatible types and were all converted to string before.
See: https://docs.pydantic.dev/latest/usage/types/#strict-types
SparseModelConfig? SparseModelConfig
class PresetRetrievalParams:
Schema for the search params for an retrieval execution that can be preset for a pipeline.
Double? Alpha
Alpha value for hybrid retrieval to determine the weights between dense and sparse retrieval. 0 is sparse retrieval and 1 is dense retrieval.
Long? FilesTopK
Number of files to retrieve (only for retrieval mode files_via_metadata and files_via_content).
RetrievalMode RetrievalMode
MetadataFilters? SearchFilters
Metadata filters for vector stores.
required IReadOnlyList<Filter> Filters
class MetadataFilter:
Comprehensive metadata filter for vector stores to support more operators.
Value uses Strict types, as int, float and str are compatible types and were all converted to string before.
See: https://docs.pydantic.dev/latest/usage/types/#strict-types
class VertexAIEmbeddingConfig:
VertexTextEmbedding Component
PipelinesSync
Sync Pipeline
Cancel Pipeline Sync
PipelinesData Sources
List Pipeline Data Sources
Add Data Sources To Pipeline
Update Pipeline Data Source
Get Pipeline Data Source Status
Sync Pipeline Data Source
ModelsExpand Collapse
class PipelineDataSource:
Schema for a data source in a pipeline.
required Component Component
Component that implements the data source
class CloudSharepointDataSource:
IReadOnlyList<string>? ExcludePathPatterns
List of regex patterns for file paths to exclude. Files whose paths (including filename) match any pattern will be excluded. Example: [‘/temp/’, ‘/backup/’, ‘.git/’, ‘.tmp$’, ’^~’]
class CloudConfluenceDataSource:
FailureHandlingConfig FailureHandling
Configuration for handling failures during processing. Key-value object controlling failure handling behaviors.
Example: { “skip_list_failures”: true }
Currently supports:
- skip_list_failures: Skip failed batches/lists and continue processing
Boolean SyncPermissions
Whether to fetch space-level permissions (allowed users/groups) and attach them to document metadata for access control. Disable for Confluence Server/Data Center versions whose permission APIs are unavailable (e.g. the JSON-RPC API removed in Data Center 9.2.6+), which otherwise surface as 401 errors during sync.
required DateTimeOffset LastSyncedAt
The last time the data source was automatically synced.